Draft Décalage

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Offset and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Draft Mirror.svg Miroir
Page suivante: Ajuster ou prolonger Draft Trimex.svg Arrow-right.svg

Draft Offset.svg Draft Décalage

Emplacement du menu
Modification → Décalage
Ateliers
Draft, Arch
Raccourci par défaut
O S
Introduit dans la version
-
Voir aussi
Part Décalage 2D

Description

La commande Draft Offset.svg Draft Décalage décale chaque segment d'un objet sélectionné sur une distance donnée ou crée une copie décalée de l'objet sélectionné.

Draft Offset example.jpg

Décalage d'une Draft Polyligne

Utilisation

Voir aussi : Draft Aimantation et Draft Contrainte.

  1. Sélectionner un objet au choix.
  2. Il existe plusieurs façons d'invoquer la commande :
  3. Si vous n'avez pas encore sélectionné d'objet : sélectionnez un objet dans la Vue 3D.
  4. Le panneau de tâches Offset s'ouvre. Voir Options pour plus d'informations.
  5. Pour définir la distance de décalage, effectuez l'une des opérations suivantes :
    • Choisissez un point dans la Vue 3D.
    • Entrez une valeur numérique :
      1. Assurez-vous que le pointeur se trouve du bon côté de l'objet dans la Vue 3D.
      2. Ne déplacez pas le pointeur en dehors de la Vue 3D.
      3. Saisissez une Distance.
      4. Appuyez sur Enter pour terminer la commande.

Options

Les raccourcis clavier à caractère unique et les touches de modification mentionnées ici peuvent être modifiés. Voir Draft Préférences.

  • Si la case Décalage de type OCC est cochée, un style de décalage spécial est utilisé : les Draft Polylignes ouvertes sont décalées des deux côtés et les nouveaux bords sont connectés avec des coins arrondis. Ceci ne fonctionne que pour les objets Draft planaires avec au moins deux bords droits. Notez qu'avec ce style, un nouvel objet non paramétrique est créé, et si le mode copie est désactivé, l'objet original est supprimé.
  • Appuyez sur P ou cliquez sur la case Copie pour activer le mode de copie. Si le mode de copie est activé, la commande créera une copie décalée au lieu de décaler l'objet original.
  • Si vous maintenez la touche Alt enfoncée avant de sélectionner des points dans la Vue 3D, vous pouvez également activer le mode de copie. Lorsque vous maintenez la touche Alt enfoncée, vous pouvez sélectionner plusieurs points de décalage. Relâchez Alt pour terminer la commande et voir les copies créées.
  • Maintenez Shift enfoncé pour que la distance de décalage reste liée au segment actuel.
  • Appuyez sur S pour activer ou désactiver Draft Aimantation.
  • Appuyez sur Echap ou sur le bouton Fermer pour abandonner la commande.

Remarques

  • Pour créer une version décalée d'une Draft B-splines, ses points sont décalés individuellement et une nouvelle spline est calculée à partir des nouveaux points. Cette nouvelle spline n'est pas parallèle à la spline d'origine. Pour un décalage parallèle d'une Draft B-splines, la commande Part Décalage 2D doit être utilisée.
  • La commande Draft Offset ne peut pas traiter les Draft Courbes de Bézier. Utilisez plutôt la commande Part Décalage 2D.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie de la distance : Édition → Préférences... → Général → Unités → Réglage des unités → Nombre de décimales.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour décaler les objets, utilisez la méthode offset de l'atelier Draft. Cette méthode ne peut traiter que les objets suivants : Draft Polylignes, Draft Cercles, Draft Rectangles, Draft Polygones et Draft B-splines.

offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • obj est l'objet à décaler.
  • delta contient les informations de décalage :
  • Si copy est True, l'objet original est conservé et un nouvel objet est créé.
  • Si bind est True, une face est créée en connectant la forme de l'objet original et la forme de son décalage. Cela ne fonctionne que pour les Draft Polylignes ouverts.
  • Si sym est True et bind est True également, le décalage est effectué des deux côtés de l'objet original, la largeur totale étant la longueur du vecteur donné. Ceci ne fonctionne que pour les Draft Polylignes ouverts.
  • Si occ est True, le décalage de type OCC est utilisé. Voir Options. Si occ est True, les arguments bind et sym sont ignorés.
  • offset_obj est restitué avec l'objet de décalage original ou avec le nouvel objet. Si bind est True ou occ est True, le nouvel objet est un objet Part::Feature.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()


Arrow-left.svg Page précédente: Draft Mirror.svg Miroir
Page suivante: Ajuster ou prolonger Draft Trimex.svg Arrow-right.svg